Subject: [Fwd: FW: last call comments: draft-ietf-kitten-gssapi-channel-bindings-04.txt]

From: "Shawn M. Emery" <[email-masked]>
Date: Thu, 13 Mar 2008 21:50:25 -0600

-----Original Message-----
From: Larry Zhu
Sent: Thursday, March 13, 2008 8:41 PM
To: [email-masked]'
Subject: last call comments: draft-ietf-kitten-gssapi-channel-bindings-04.txt

1. With regarding the following statement:

 GSS-API mechanisms MAY use the [RFC1964] encoding of channel
   bindings.

RPC1964 is updated by RFC4121, why does this document reference 1964 instead of 4121?

And what does "MAY" imply, does it imply there are incompatibilities in the structure definitions? Please clarify.

2. nits. On the definition of GSS-CHANNEL-BINDINGS, ":=" should be "::=", the last comma should be removed.

3. initiator-address-type and acceptor-address-type are underspecified, I cannot figure out what to do these at all.

_______________________________________________
Kitten mailing list
[email-masked]
https://www.ietf.org/mailman/listinfo/kitten

---

From: Nicolas Williams <[email-masked]>
Date: Fri, 14 Mar 2008 02:57:52 -0500

> RPC1964 is updated by RFC4121, why does this document reference 1964

I'd forgotten that RFC4121 updates this part of RFC1964.  I'll make this
change.

> And what does "MAY" imply, does it imply there are incompatibilities
> in the structure definitions? Please clarify.

It means that another mechanism, say, PKU2U or SCRAM, can use the text
in RFC4121, section 4.1.1.2, items (1) through (3), as an encoding of
the generic channel binding structure given in this I-D/

> "::=", the last comma should be removed.

True, but in my defense, I did write "pseudo-ASN.1" :) :)

> 3. initiator-address-type and acceptor-address-type are
> underspecified, I cannot figure out what to do these at all.

"
   The values for the address fields are described in [RFC2744].
"

Nico
--